@echo off
rem Compilation...
call d.bat
make all
if not errorlevel 1 goto ok
echo.
pause
:ok
avr-objcopy -j .eeprom -O binary RCLmeter.elf RCLmeter_eeprom.bin
avr-objcopy -R .eeprom --pad-to 0x2000 -O binary RCLmeter.elf RCLmeter_rom.bin
copy /b RCLmeter_rom.bin + RCLmeter_eeprom.bin RCLmeter.bin > nul
avr-size -C --mcu=atmega8 RCLmeter.elf

if exist src\*.o del src\*.o
if exist RCLmeter.lst del RCLmeter.lst
if exist RCLmeter.elf del RCLmeter.elf
