
// ****************************************************************************
//                                 
//                                 Buzzer
//
// ****************************************************************************

#include "include.h"

// output tone to buzzer (del=delay between pulses in us, len=tone length in number of pulses)
void BuzzerTone(u16 del, u16 len)
{
	// set output to buzzer
	PORTB |= B2;
	DDRB |= B2;

	// play tone
	for (; len > 0; len--)
	{
		PORTB &= ~B2;
		waitus(del);
		PORTB |= B2;
		waitus(del);
	}

	// turn off output to buzzer
	DDRB &= ~B2;
	PORTB &= ~B2;
}
