
// ****************************************************************************
//                                 
//                                 LC Meter
//
// ****************************************************************************

// flag - reading L instead of C
//Bool LC_LMode;

// flag - do tare
Bool LC_DoTare;

// measured C in 0.1pF (scale = -13)
//s32 LC_C;

// measured L in 10nH (scale = -8)
s32 LC_L;

// LC frequency
u32 LC_Freq;

// reference C in 0.1pF (scale = -13)
u32 C0Ref; // 1nF

// reference L in 10nH (scale = -8)
u32 L0Ref; // 68uH

// tare C
//s32 CTare;

// tare L
s32 LTare;

// initialize LC meter
void LC_Init();

// update LC counter value (called from timer every 250ms, with interrupts disabled)
// tim = delta time in us
void LC_Update(u32 tim);

// read LC values
void LC_Read();
