
// ****************************************************************************
//                                 
//                                Debug test
//
// ****************************************************************************

#ifdef DO_CALIBREF
// calibrate reference voltage (using external reference 2.5V)
void CalibRef();
#endif // DO_CALIBREF

#ifdef DO_ADCSPEED
// do ADC speed test (displays delay of selected ADC speed)
void ADCSpeedTest();
#endif // DO_ADCSPEED

#ifdef DO_CLOCKTEST
// do clock test (compare timer with seconds of real time clocks, displays delay of GetTime, waitus and waitms)
void ClockTest();
#endif // DO_CLOCKTEST

#ifdef DO_PRECTEST
// do ADC speed precission test (displays error in 0.1 samples of divider 6, 5, 4, 3, 2, 1)
void PrecTest();
#endif // DO_PRECTEST

#ifdef DO_SELTEST
// do ADC selection test (displays value after reference selection, depending on delay)
void SelTest();
#endif // DO_SELTEST

#ifdef DO_RPU
// check pull-up resistor (35.4 kOhm, should be 30K..60K)
void RpuTest();
#endif // DO_RPU

#ifdef DO_CHECKLEN
// get length of checks
void CheckCheck();
#endif // DO_CHECKLEN
