
// ****************************************************************************
//                                 
//                            Check Voltage
//
// ****************************************************************************

#include "include.h"

// voltage history
FILTER(VoltHist);

// voltage value (in mV)
s32 VoltVal = 0;

// tare U (in mV)
s32 UTare = U_TARE;

// check voltage (takes 40 ms)
void U_Check()
{
	ADC_Sel(ADC_MUX_U);
	s32 v = (1000*ADC_Read(ADC_SAMPLES) + ADC_SAMPLES/2)/ADC_SAMPLES;
	VoltVal = FilterAdd(&VoltHist, v - 510*1000L - UTare);
}
